Skip to Content
WalidoDocs
Public APIGroups

Create a group

POST
/groups

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key in the Authorization: Bearer <key> header. Keys are created in the Walido dashboard (Settings → API Keys).

Request Body

application/json
  1. body
type*string
Value in"contacts""knowledges""forwardings""glossaries""pronunciations"
name*string

Trimmed of leading/trailing whitespace before storage.

Length1 <= length <= 200
description?string
Lengthlength <= 500
Default""

Response Body

Created.

application/json
  1. response
data?
Example Request
curl -X POST 'https://api.walido.it/api/v1/groups' \  -H 'Content-Type: application/json' \  -d '{  "type": "contacts",  "name": "Priority Customers"}'
Example Response
{  "data": {    "id": "string",    "type": "contacts",    "name": "string",    "description": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}